Skip to main content
PATCH
Update conversation policy

Authorizations

Authorization
string
header
required

Server-side tenant-scoped credential created from Build > API Keys.

Path Parameters

conversationId
string
required

Body

application/json
statusAction
enum<string>
Available options:
archive,
unarchive,
block,
unblock
manualEnabled
boolean
freezeForMinutes
integer
Required range: 1 <= x <= 120
unfreeze
boolean

Clear the timed pause. Does not override manual mode or unresolved handoffs.

Response

Success

ok
boolean
conversationId
string
changed
boolean
statusBefore
string
statusAfter
string
manualEnabledBefore
boolean
manualEnabledAfter
boolean
frozenUntilAtAfter
string<date-time> | null
conversationKey
string
frozenUntilAtBefore
string
isFrozenBefore
boolean
isFrozenAfter
boolean
frozenSecondsRemainingAfter
integer